TLockStat._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TLockStat._Fields

- java.lang.Object
- - java.lang.Enum<TLockStat._Fields>
  - - com.sleepycat.thrift.TLockStat._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TLockStat._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    TLockStat

      public static enum TLockStat._Fields
      extends java.lang.Enum<TLockStat._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUR_MAX_ID`
    `HASH_LEN`
    `ID`
    `INITLOCKERS`
    `INITLOCKS`
    `INITOBJECTS`
    `LOCK_NOWAIT`
    `LOCK_TIMEOUT`
    `LOCK_WAIT`
    `LOCKERS`
    `LOCKERS_NOWAIT`
    `LOCKERS_WAIT`
    `LOCKS`
    `LOCKSTEALS`
    `MAX_HLOCKS`
    `MAX_HOBJECTS`
    `MAX_LOCKERS`
    `MAX_LOCKS`
    `MAX_LSTEALS`
    `MAX_NLOCKERS`
    `MAX_NLOCKS`
    `MAX_NOBJECTS`
    `MAX_OBJECTS`
    `MAX_OSTEALS`
    `NOBJECTS`
    `NUM_DEADLOCKS`
    `NUM_DOWNGRADE`
    `NUM_LOCK_TIMEOUTS`
    `NUM_LOCKERS`
    `NUM_LOCKERS_HIT`
    `NUM_LOCKERS_REUSED`
    `NUM_LOCKS`
    `NUM_MODES`
    `NUM_RELEASES`
    `NUM_REQUESTS`
    `NUM_TXN_TIMEOUTS`
    `NUM_UPGRADE`
    `OBJECTS`
    `OBJECTSTEALS`
    `OBJS_NOWAIT`
    `OBJS_WAIT`
    `PART_MAX_NOWAIT`
    `PART_MAX_WAIT`
    `PART_NOWAIT`
    `PART_WAIT`
    `PARTITIONS`
    `REG_SIZE`
    `REGION_NOWAIT`
    `REGION_WAIT`
    `TABLE_SIZE`
    `TXN_TIMEOUT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TLockStat._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static TLockStat._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static TLockStat._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static TLockStat._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TLockStat._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CUR_MAX_ID

          public static final TLockStat._Fields CUR_MAX_ID

    - #### HASH_LEN

          public static final TLockStat._Fields HASH_LEN

    - #### ID

          public static final TLockStat._Fields ID

    - #### INITLOCKERS

          public static final TLockStat._Fields INITLOCKERS

    - #### INITLOCKS

          public static final TLockStat._Fields INITLOCKS

    - #### INITOBJECTS

          public static final TLockStat._Fields INITOBJECTS

    - #### LOCKERS

          public static final TLockStat._Fields LOCKERS

    - #### LOCKERS_NOWAIT

          public static final TLockStat._Fields LOCKERS_NOWAIT

    - #### LOCKERS_WAIT

          public static final TLockStat._Fields LOCKERS_WAIT

    - #### LOCK_NOWAIT

          public static final TLockStat._Fields LOCK_NOWAIT

    - #### LOCKS

          public static final TLockStat._Fields LOCKS

    - #### LOCKSTEALS

          public static final TLockStat._Fields LOCKSTEALS

    - #### LOCK_TIMEOUT

          public static final TLockStat._Fields LOCK_TIMEOUT

    - #### LOCK_WAIT

          public static final TLockStat._Fields LOCK_WAIT

    - #### MAX_HLOCKS

          public static final TLockStat._Fields MAX_HLOCKS

    - #### MAX_HOBJECTS

          public static final TLockStat._Fields MAX_HOBJECTS

    - #### MAX_LOCKERS

          public static final TLockStat._Fields MAX_LOCKERS

    - #### MAX_LOCKS

          public static final TLockStat._Fields MAX_LOCKS

    - #### MAX_LSTEALS

          public static final TLockStat._Fields MAX_LSTEALS

    - #### MAX_NLOCKERS

          public static final TLockStat._Fields MAX_NLOCKERS

    - #### MAX_NLOCKS

          public static final TLockStat._Fields MAX_NLOCKS

    - #### MAX_NOBJECTS

          public static final TLockStat._Fields MAX_NOBJECTS

    - #### MAX_OBJECTS

          public static final TLockStat._Fields MAX_OBJECTS

    - #### MAX_OSTEALS

          public static final TLockStat._Fields MAX_OSTEALS

    - #### NUM_DEADLOCKS

          public static final TLockStat._Fields NUM_DEADLOCKS

    - #### NUM_DOWNGRADE

          public static final TLockStat._Fields NUM_DOWNGRADE

    - #### NUM_LOCKERS

          public static final TLockStat._Fields NUM_LOCKERS

    - #### NUM_LOCKERS_HIT

          public static final TLockStat._Fields NUM_LOCKERS_HIT

    - #### NUM_LOCKERS_REUSED

          public static final TLockStat._Fields NUM_LOCKERS_REUSED

    - #### NUM_LOCKS

          public static final TLockStat._Fields NUM_LOCKS

    - #### NUM_LOCK_TIMEOUTS

          public static final TLockStat._Fields NUM_LOCK_TIMEOUTS

    - #### NUM_MODES

          public static final TLockStat._Fields NUM_MODES

    - #### NOBJECTS

          public static final TLockStat._Fields NOBJECTS

    - #### NUM_RELEASES

          public static final TLockStat._Fields NUM_RELEASES

    - #### NUM_REQUESTS

          public static final TLockStat._Fields NUM_REQUESTS

    - #### NUM_TXN_TIMEOUTS

          public static final TLockStat._Fields NUM_TXN_TIMEOUTS

    - #### NUM_UPGRADE

          public static final TLockStat._Fields NUM_UPGRADE

    - #### OBJECTS

          public static final TLockStat._Fields OBJECTS

    - #### OBJECTSTEALS

          public static final TLockStat._Fields OBJECTSTEALS

    - #### OBJS_NOWAIT

          public static final TLockStat._Fields OBJS_NOWAIT

    - #### OBJS_WAIT

          public static final TLockStat._Fields OBJS_WAIT

    - #### PARTITIONS

          public static final TLockStat._Fields PARTITIONS

    - #### PART_MAX_NOWAIT

          public static final TLockStat._Fields PART_MAX_NOWAIT

    - #### PART_MAX_WAIT

          public static final TLockStat._Fields PART_MAX_WAIT

    - #### PART_NOWAIT

          public static final TLockStat._Fields PART_NOWAIT

    - #### PART_WAIT

          public static final TLockStat._Fields PART_WAIT

    - #### REGION_NOWAIT

          public static final TLockStat._Fields REGION_NOWAIT

    - #### REGION_WAIT

          public static final TLockStat._Fields REGION_WAIT

    - #### REG_SIZE

          public static final TLockStat._Fields REG_SIZE

    - #### TABLE_SIZE

          public static final TLockStat._Fields TABLE_SIZE

    - #### TXN_TIMEOUT

          public static final TLockStat._Fields TXN_TIMEOUT

  - ### Method Detail

    - #### values

          public static TLockStat._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TLockStat._Fields c : TLockStat._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TLockStat._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static TLockStat._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static TLockStat._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static TLockStat._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.